-- ============================================================================
-- Audio_Sounds table
-- ============================================================================
-- 

INSERT OR REPLACE INTO Audio_Sounds
        (SoundID,                               Filename,                       LoadType)
VALUES  ('SND_UNIT_TRL_MARIO_ATTACK_VOX_A',     'TRL_mario_attack',             'DynamicResident'),
        ('SND_UNIT_TRL_MARIO_RUN_CHRG_VOX_T1',  'TRL_mario_charge_attack_T1',   'DynamicResident'),
        ('SND_UNIT_TRL_MARIO_RUN_CHRG_VOX_T2',  'TRL_mario_charge_attack_T2',   'DynamicResident'),
        ('SND_UNIT_TRL_MARIO_FORTIFY_VOX_A',    'TRL_mario_fortify',            'DynamicResident'),
        ('SND_UNIT_TRL_MARIO_DEATH_VOX_A',      'TRL_mario_death',              'DynamicResident'),
        ('SND_UNIT_TRL_MARIO_VICTORY_VOX_A',    'TRL_mario_victory',            'DynamicResident');


-- ============================================================================
-- Audio_3DSounds table
-- ============================================================================   
INSERT OR REPLACE INTO Audio_3DSounds
        (ScriptID,                              SoundID,                                SoundType,  MaxVolume,  MinVolume)
VALUES  ('AS3D_UNIT_TRL_MARIO_ATTACK_VOX_A',     'SND_UNIT_TRL_MARIO_ATTACK_VOX_A',       'GAME_SFX', 60,         35),
        ('AS3D_UNIT_TRL_MARIO_CHRG_VOX_T1',      'SND_UNIT_TRL_MARIO_RUN_CHRG_VOX_T1',    'GAME_SFX', 60,         60),
        ('AS3D_UNIT_TRL_MARIO_CHRG_VOX_T2',      'SND_UNIT_TRL_MARIO_RUN_CHRG_VOX_T2',    'GAME_SFX', 60,         60),
        ('AS3D_UNIT_TRL_MARIO_FORTIFY',          'SND_UNIT_FORTIFY',                     'GAME_SFX', 75,         75),
        ('AS3D_UNIT_TRL_MARIO_FORTIFY_VOX_A',    'SND_UNIT_TRL_MARIO_FORTIFY_VOX_A',      'GAME_SFX', 60,         35),
        ('AS3D_UNIT_TRL_MARIO_DEATH_VOX_A',      'SND_UNIT_TRL_MARIO_DEATH_VOX_A',        'GAME_SFX', 60,         35),
        ('AS3D_UNIT_TRL_MARIO_VICTORY_VOX_A',    'SND_UNIT_TRL_MARIO_VICTORY_VOX_A',      'GAME_SFX', 50,         25);

-- Mario Attack, Fortify, Death, Victory
UPDATE Audio_3DSounds
SET PitchChangeUp = 1, PitchChangeDown = -1
WHERE ScriptID IN ('AS3D_UNIT_TRL_MARIO_ATTACK_VOX_A', 'AS3D_UNIT_TRL_MARIO_FORTIFY_VOX_A', 'AS3D_UNIT_TRL_MARIO_DEATH_VOX_A', 'SND_UNIT_TRL_MARIO_VICTORY_VOX_A');

-- Mario Fortify (no voiceover)
UPDATE Audio_3DSounds
SET DontPlayMoreThan = 1, DontTriggerDuplicates = 1
WHERE ScriptID IN ('AS3D_UNIT_TRL_MARIO_FORTIFY');

-- Mario Charge Attack
UPDATE Audio_3DSounds
SET DontPlayMoreThan = 1, DontTriggerDuplicates = 1, MaxTimeMustNotPlayAgain = 7000, MinTimeMustNotPlayAgain = 5000
WHERE ScriptID IN ('AS3D_UNIT_TRL_MARIO_CHRG_VOX_T1', 'AS3D_UNIT_TRL_MARIO_CHRG_VOX_T2');